/**
 * Created by IntelliJ IDEA.
 * User: Alexander
 * Date: 04.11.2002
 * Time: 13:03:11
 */
package ru.ezhiki.automat.human;

import ru.ezhiki.automat.human.vis.AutomatFrame;
import ru.ezhiki.automat.human.logic.*;
import ru.ezhiki.utils.AutomatSimpleFormatter;

import java.util.logging.Logger;
import java.util.logging.StreamHandler;
import java.io.FileOutputStream;
import java.io.FileNotFoundException;

public class Main
{
    public static void main(String[] args)
    {
        Logger logger = Logger.getLogger("ru.ezhiki.automat.human.logger");
        try
        {
            logger.addHandler(new StreamHandler(new FileOutputStream("automat.log"), new AutomatSimpleFormatter()));
        }
        catch (SecurityException e)
        {
            e.printStackTrace();
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }

        Actions actions = new ActionsLoader().loadFile("samples/actionsSample.xml");
        Figure figure = new FigureLoader().loadFile("samples/figureSample.xml");
        AutomatFrame frame = new AutomatFrame(figure, actions, logger);
        frame.show();
    }
}
