/**
 * Created by IntelliJ IDEA.
 * User: Alexander
 * Date: Nov 12, 2002
 * Time: 11:34:51 PM
 */
package ru.ezhiki.automat.human;

import ru.ezhiki.automat.human.logic.*;
import ru.ezhiki.automat.human.vis.AutomatFrame;

import java.applet.Applet;
import java.util.logging.Logger;

public class MainApplet extends Applet
{
    private Figure figure = null;
    private Actions actions = null;

    public MainApplet()
    {
    }

    public void init()
    {
        super.init();

        figure  = new FigureLoader().loadFile ("figureSample.xml");
        actions = new ActionsLoader().loadFile("actionsSample.xml");
    }

    public void start()
    {
        super.start();

        Logger logger = Logger.getLogger("ru.ezhiki.automat.human.logger");

        AutomatFrame frame = new AutomatFrame(figure, actions, logger);
        frame.show();
    }
}
