/**
 * Created by IntelliJ IDEA.
 * User: Alexander
 * Date: Nov 12, 2002
 * Time: 9:55:31 PM
 */
package ru.ezhiki.automat.human.logic;

import java.util.HashMap;
import java.util.Set;

public class Position
{
    private String name = "";
    private HashMap jointActions = null;

    public Position(String name)
    {
        this.name = name;
        jointActions = new HashMap();
    }

    public String getName()
    {
        return name;
    }

    public void addJointAction(JointAction jointAction)
    {
        jointActions.put(jointAction.getName(), jointAction);
    }

    public Set getJointNames()
    {
        return jointActions.keySet();
    }

    public JointAction getJointAction(String jName)
    {
        return (JointAction)jointActions.get(jName);
    }
}
